Rows and Columns in Angular TextArea Component

26 Feb 20262 minutes to read

The rows and columns attributes play a crucial role in customizing the TextArea’s appearance and layout. The rows attribute determines the initial visible number of lines within the TextArea, controlling its vertical size. The cols attribute specifies the visible width of the TextArea in characters per line, determining its horizontal size.

Customize the TextArea dimensions by setting the number of rows using the rows property and the number of columns using the cols property. These properties provide precise control over the textarea dimensions, ensuring it fits seamlessly within your application’s layout.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import {TextAreaModule} from '@syncfusion/ej2-angular-inputs'



import { Component } from '@angular/core';

@Component({
imports: [
        
        TextAreaModule
    ],


standalone: true,
    selector: 'app-root',
    template: `<div class="wrap">
                <div class='textarea'>
                <div>
                  <ejs-textarea id="default1" placeholder="Enter your comments" floatLabelType="Auto" rows="3" cols="35"></ejs-textarea>
                </div>
                <div>
                  <ejs-textarea id="default2" placeholder="Enter your comments" floatLabelType="Auto" rows="5" cols="40"></ejs-textarea>
                </div>
                </div>
              </div>`
})

export class AppComponent { }
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Rows and Columns in Vue TextArea Component

25 Apr 20253 minutes to read

Two Essential® attributes, rows and columns, play a pivotal role in customizing the TextArea’s appearance and layout. The rowsattribute determines the initial visible number of lines within the TextArea, controlling its vertical size. Conversely, the columns attribute specifies the visible width of the TextArea in characters per line, determining its initial width.

  • You can customize the TextArea component by setting the number of rows using the rows property and the number of columns using the cols property. These properties allow precise control over the dimensions of the TextArea, ensuring it fits seamlessly within the layout of the application.
<template>
  <div class='wrap'>
    <div id='input-container'>
      <div>
        <ejs-textarea id="default1" placeholder="Enter your comments" floatLabelType="Auto" :rows="3"
          :cols="35"></ejs-textarea>
      </div>
      <div>
        <ejs-textarea id="default2" placeholder="Enter your comments" floatLabelType="Auto" :rows="5"
          :cols="40"></ejs-textarea>
      </div>
    </div>
  </div>
</template>
<script setup>
import { TextAreaComponent as EjsTextarea } from '@syncfusion/ej2-vue-inputs';

</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>
<template>
  <div class='wrap'>
    <div id='input-container'>
      <div>
        <ejs-textarea id="default1" placeholder="Enter your comments" floatLabelType="Auto" :rows="3"
          :cols="35"></ejs-textarea>
      </div>
      <div>
        <ejs-textarea id="default2" placeholder="Enter your comments" floatLabelType="Auto" :rows="5"
          :cols="40"></ejs-textarea>
      </div>
    </div>
  </div>
</template>
<script>
import { TextAreaComponent } from '@syncfusion/ej2-vue-inputs';

export default {
  name: "App",
  components: {
    "ejs-textarea": TextAreaComponent
  },
  data: function () {
    return {}
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

.wrap {
  box-sizing: border-box;
  margin: 0 auto;
  padding: 20px 10px;
  width: 340px;
}
</style>

Syncfusion AI Assistant

How can I help you?

Rows and Columns in React TextArea Component

21 Feb 20263 minutes to read

The Essential® rows and cols attributes control TextArea dimensions. The rows attribute sets the initial visible number of lines (vertical size), while the cols attribute specifies the visible width in characters per line (horizontal size).

Customize TextArea dimensions using the rows and cols properties for precise control that fits your application layout.

// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
    return (
        <div className='wrap'>
            <div>
                <TextAreaComponent id="default1" placeholder="Enter your comments" floatLabelType="Auto" rows="3" cols="35"></TextAreaComponent>
            </div>
            <div>
                <TextAreaComponent id="default2" placeholder="Enter your comments" floatLabelType="Auto" rows="5" cols="40"></TextAreaComponent>
            </div>        
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById('input-container'));
// Import the TextArea.
import { TextAreaComponent } from '@syncfusion/ej2-react-inputs';
import * as React from 'react';
import * as ReactDom from 'react-dom';

// To render TextArea.
function App() {
  
    return (
        <div className='wrap'>
            <div>
                <TextAreaComponent id="default1" placeholder="Enter your comments" floatLabelType="Auto" rows="3" cols="35"></TextAreaComponent>
            </div>
            <div>
                <TextAreaComponent id="default2" placeholder="Enter your comments" floatLabelType="Auto" rows="5" cols="40"></TextAreaComponent>
            </div>
        </div>
    );
}
export default App;
ReactDom.render(<App />,document.getElementById('input-container'));